Subject: Re: Perl & GNU-Win32
From: [email-masked] (Chris Faylor)

21 Jul 1997 21:29:12 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

In article <[email-masked]>,
Michael Hirmke <[email-masked]> wrote:
>Hi Chris,
>
>[...]
>> Now that I think of it, I wonder if any of this is necessary with Sergey's
>> new super-cygwin.dll.
>
>I use Sergey's newest .dll and have still scrolling problems with vim
>5.0k.
>They only occur, if I use the down cursor key and reach the lower end of
>the screen - the text doesn't scroll then any more, but each new line
>shows up on the last line of the screen. If I set lines=<real lines> + 1,
>scrolling works ok, but then I have problems with the : commands.
>This cursor down behaviour is the only scrolling bug - cursor up, page
>down and up, ... all work ok.
>Therefore I think, it must be a small bug in vim or ncurses.

You only quoted the part of my message that wondered if Sergey's new
cygwin.dll would fix the problem.  Did you try the other things I
suggested????

Vim is working for me here with no problems.  I think the only thing you
need to do is remove 'cs=' from the termcap setting for 'linux'.  This
is, of course, only if you are using a termcap version of vim.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".